#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lttng-ust
Version		:	2.13.8
Release		:	17.0.10.rel%{?dist}
Summary		:	LTTng Userspace Tracer library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://lttng.org

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	gnupg
#BuildRequires	:	libuuid-devel
BuildRequires	:	numactl-devel
BuildRequires	:	userspace-rcu-devel
#-----------------------------------------------------------------------------
%description

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%{_libdir}/lib%{name}*.so.1*
%{_libdir}/lib%{name}*.so.5*
%{_mandir}/man3/do_tracepoint.3.gz
%{_mandir}/man3/lttng-ust.3.gz
%{_mandir}/man3/lttng-ust-cyg-profile.3.gz
%{_mandir}/man3/lttng-ust-dl.3.gz
%{_mandir}/man3/lttng_ust_do_tracepoint.3.gz
%{_mandir}/man3/lttng_ust_tracef.3.gz
%{_mandir}/man3/lttng_ust_tracelog.3.gz
%{_mandir}/man3/lttng_ust_tracepoint.3.gz
%{_mandir}/man3/lttng_ust_tracepoint_enabled.3.gz
%{_mandir}/man3/lttng_ust_vtracef.3.gz
%{_mandir}/man3/lttng_ust_vtracelog.3.gz
%{_mandir}/man3/tracef.3.gz
%{_mandir}/man3/tracelog.3.gz
%{_mandir}/man3/tracepoint.3.gz
%{_mandir}/man3/tracepoint_enabled.3.gz

#=============================================================================
%package		devel
Summary		:	Devel libraries & headers for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header to instrument applications using %{name}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root,-)
%{_bindir}/lttng-gen-tp
%{_includedir}/lttng/*.h
%{_includedir}/lttng/tp/*.h
%{_includedir}/lttng/urcu/*.h
%{_includedir}/lttng/urcu/static/*.h
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/lttng-ust*.pc
%{_defaultdocdir}/%{name}-%{version}/examples/
%{_defaultdocdir}/%{name}-%{version}/ChangeLog
%{_defaultdocdir}/%{name}-%{version}/java-agent.txt
%{_defaultdocdir}/%{name}-%{version}/LICENSE
%{_defaultdocdir}/%{name}-%{version}/README.md
%{_mandir}/man1/lttng-gen-tp.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


autoreconf -fi
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--with-std					\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make} check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
